/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EasyBeansSB.java 1133 2006-10-04 14:30:41Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.objectweb.easybeans.api.bean;

import org.objectweb.easybeans.api.bean.lifecycle.EasyBeansSBLifeCycle;

/**
 * Defines the interface of a session bean.
 * @param <PoolType> the type of session bean (SLSB or SFSB)
 * @author Florent Benoit
 */
public interface EasyBeansSB<PoolType extends EasyBeansSB> extends EasyBeansBean , EasyBeansSBLifeCycle {

    /**
     * Detects if the bean is removed or not.
     * @return true if the bean has been removed
     */
    boolean getEasyBeansRemoved();

    /**
     * Sets the value to true if the bean is removed.
     * @param easyBeansRemoved true/false
     */
    void setEasyBeansRemoved(final boolean easyBeansRemoved);

}
