/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ResourceEnvRef.java 1248 2006-12-12 13:18:47Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.objectweb.easybeans.deployment.xml.struct.common;

/**
 * Class representing resource-env-ref elements used in Java EE components.
 * @author Florent Benoit
 */
public class ResourceEnvRef extends AbsResourceGroup {

    /**
     * Name of this element.
     */
    public static final String NAME = "resource-env-ref";

    /**
     * Name of this resource-env-ref.
     */
    private String resourceEnvRefName = null;

    /**
     * Type of this resource-env-ref.
     */
    private String resourceEnvRefType = null;

    /**
     * Default constructor.
     */
    public ResourceEnvRef() {
        super();
    }

    /**
     * @return name of this resource-ref.
     */
    public String getResourceEnvRefName() {
        return resourceEnvRefName;
    }

    /**
     * Sets the name of resource-ref.
     * @param resourceEnvRefName name of this reference
     */
    public void setResourceEnvRefName(final String resourceEnvRefName) {
        this.resourceEnvRefName = resourceEnvRefName;
    }

    /**
     * @return the type of this ejb-ref.
     */
    public String getResourceEnvRefType() {
        return resourceEnvRefType;
    }

    /**
     * Sets the type of this reference.
     * @param resourceEnvRefType type of reference
     */
    public void setResourceEnvRefType(final String resourceEnvRefType) {
        this.resourceEnvRefType = resourceEnvRefType;
    }

}
