/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: BasePreDestroyAllOrder00.java 965 2006-07-27 16:27:08Z studzine $
 * --------------------------------------------------------------------------
 */
package org.objectweb.easybeans.tests.common.ejbs.stateful.containermanaged.lifecallback;

import static org.objectweb.easybeans.tests.common.ejbs.entity.callbacklogger.CallbackType.PRE_DESTROY;

import javax.annotation.PreDestroy;
import javax.ejb.Remove;

import org.objectweb.easybeans.tests.common.ejbs.base.ItfCheck02;
import org.objectweb.easybeans.tests.common.ejbs.stateless.containermanaged.callbacklogger.BaseInsertCallbackEvent;


/**
 * Verifies the interceptors invocation order.
 * @author Eduardo Studzinski Estima de Castro
 * @author Gisele Pinheiro Souza
 *
 */
public class BasePreDestroyAllOrder00 extends BaseInsertCallbackEvent implements ItfCheck02{

    /**
     * Empty method.
     * @throws Exception if a problem occurs.
     */
    public void check() throws Exception{
    }

    /**
     * Remove method.
     */
    @Remove
    public void remove() {
    }

    /**
     * PreDestroy lifecyle callback interceptor method.
     */
    @PreDestroy
    public void preDestroy() {
        super.log(SFSBPreDestroyAllOrder.class, PRE_DESTROY, BasePreDestroyAllOrder00.class);
    }
}
